<?xml version="1.0" encoding="UTF-8"?>
<jsp:root xmlns:jsp="http://java.sun.com/JSP/Page"
		  xmlns:c="http://java.sun.com/jsp/jstl/core"
		  xmlns:fmt="http://java.sun.com/jsp/jstl/fmt"
		  xmlns:fn="http://java.sun.com/jsp/jstl/functions"
		  xmlns:nk="urn:jsptagdir:/WEB-INF/tags/nekurak"
		  xmlns:nkfn="/WEB-INF/nekurakFunkce"
		  version="2.0">

	<jsp:directive.attribute name="podnik" type="cz.frantovo.nekurak.dto.Podnik" required="true"/>
	<jsp:directive.attribute name="detailPodniku" type="Boolean" required="true" description="true = záhlaví podniku na stránce detail | false = výpis jednoho podniku na stránce s přehledem podniků"/>

	<div class="podnik oddelovac">
		<!-- Tři bloky vedle sebe -->

		<!-- Název a adresa podniku -->
		<div class="adresa">
			<c:if test="${!detailPodniku}">
				<h2><a href="?akce=detail&amp;amp;podnik=${podnik.id}"><c:out value="${podnik.nazev}"/></a></h2>
			</c:if>
			<p><c:out value="${podnik.popis}"/></p>
			<p>
			<fmt:message key="uvod.adresa"/>:<br/>
			<c:out value="${podnik.ulice}"/>&amp;#160;
			<c:out value="${podnik.cisloPopisne}"/><br/>
			<c:out value="${podnik.mesto}"/>
			</p>
			<c:set var="domena" value="${podnik.urlDomena}"/>
			<c:if test="${domena != null}">
				<p>
				<fmt:message key="uvod.www" var="titulekWwwStranka"/>
				<a href="${fn:escapeXml(podnik.url)}" title="${fn:escapeXml(titulekWwwStranka)}">
					<c:out value="${domena}"/>
				</a>
				</p>
			</c:if>

			<!-- Kategorie podniku (hospoda, vinárna atd.) -->
			<c:if test="${!empty podnik.kategorie}">
				<ul class="stitky">
					<c:forEach var="k" items="${podnik.kategorie}">
						<li>
							<a href="?akce=kategorie&amp;amp;id=${k.id}" title="${fn:escapeXml(k.popis)}">
								<c:out value="${k.nazev}"/>
							</a>
						</li>
					</c:forEach>
				</ul>
			</c:if>
		</div>

		<!-- Hlasování a graf -->
		<div class="hlasovani">
			<nk:hlasovani podnik="${podnik.id}"/>
		</div>

		<!-- Fotky podniku -->
		<div class="fotky">
			<nk:fotkyPodniku podnik="${podnik}"/>
		</div>

	</div>
		
	<c:if test="${detailPodniku}">
		<!-- konec obtékaných bloků -->
		<div class="cistic oddelovac"></div>
	</c:if>


</jsp:root>